[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomLabel.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 1605

`public constructor TCustomLabel.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry to the method.

Create updates the values in ControlStyle to enable mouse capture and both click and double-click events. Create calls SetInitialBounds using the default dimensions for the class instance. Create sets the default values for properties, including: ShowAccelChar, Color, AutoSize, and AccessibleRole.